## policycoreutils 2.8

=== man/Makefile ===
# Installation directories.
PREFIX ?= /usr
MAN5DIR ?= $(PREFIX)/share/man/man5

all:

clean:

install: all
	mkdir -p $(DESTDIR)$(MAN5DIR)
	install -m 644 man5/*.5 $(DESTDIR)$(MAN5DIR)

relabel:

=== semodule/Makefile ===
# Installation directories.
PREFIX ?= /usr
SBINDIR ?= $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man

CFLAGS ?= -Werror -Wall -W
override LDLIBS += -lsepol -lselinux -lsemanage
SEMODULE_OBJS = semodule.o

all: semodule genhomedircon

semodule: $(SEMODULE_OBJS)

genhomedircon:
	ln -sf semodule genhomedircon

install: all
	-mkdir -p $(DESTDIR)$(SBINDIR)
	install -m 755 semodule $(DESTDIR)$(SBINDIR)
	(cd $(DESTDIR)$(SBINDIR); ln -sf semodule genhomedircon)
	test -d $(DESTDIR)$(MANDIR)/man8 || install -m 755 -d $(DESTDIR)$(MANDIR)/man8
	install -m 644 semodule.8 $(DESTDIR)$(MANDIR)/man8/
	install -m 644 genhomedircon.8 $(DESTDIR)$(MANDIR)/man8/

relabel:

clean:
	-rm -f semodule *.o genhomedircon

indent:
	../../scripts/Lindent $(wildcard *.[ch])

=== setfiles/Makefile ===
# Installation directories.
PREFIX ?= /usr
SBINDIR ?= /sbin
MANDIR = $(PREFIX)/share/man
AUDITH ?= $(shell test -f /usr/include/libaudit.h && echo y)

ABORT_ON_ERRORS=$(shell grep "^\#define ABORT_ON_ERRORS" setfiles.c | awk -S '{ print $$3 }')

CFLAGS ?= -g -Werror -Wall -W
override LDLIBS += -lselinux -lsepol

ifeq ($(AUDITH), y)
	override CFLAGS += -DUSE_AUDIT
	override LDLIBS += -laudit
endif

all: setfiles restorecon restorecon_xattr man

setfiles: setfiles.o restore.o

restorecon: setfiles
	ln -sf setfiles restorecon

restorecon_xattr: restorecon_xattr.o restore.o

man:
	@cp -af setfiles.8 setfiles.8.man
	@sed -i "s/ABORT_ON_ERRORS/$(ABORT_ON_ERRORS)/g" setfiles.8.man

install: all
	[ -d $(DESTDIR)$(MANDIR)/man8 ] || mkdir -p $(DESTDIR)$(MANDIR)/man8
	-mkdir -p $(DESTDIR)$(SBINDIR)
	install -m 755 setfiles $(DESTDIR)$(SBINDIR)
	(cd $(DESTDIR)$(SBINDIR) && ln -sf setfiles restorecon)
	install -m 755 restorecon_xattr $(DESTDIR)$(SBINDIR)
	install -m 644 setfiles.8.man $(DESTDIR)$(MANDIR)/man8/setfiles.8
	install -m 644 restorecon.8 $(DESTDIR)$(MANDIR)/man8/restorecon.8
	install -m 644 restorecon_xattr.8 $(DESTDIR)$(MANDIR)/man8/restorecon_xattr.8

clean:
	rm -f setfiles restorecon restorecon_xattr *.o setfiles.8.man

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel: install
	$(DESTDIR)$(SBINDIR)/restorecon $(DESTDIR)$(SBINDIR)/setfiles $(DESTDIR)$(SBINDIR)/restorecon_xattr

=== setsebool/Makefile ===
# Installation directories.
PREFIX ?= /usr
SBINDIR ?= $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
BASHCOMPLETIONDIR ?= $(PREFIX)/share/bash-completion/completions

CFLAGS ?= -Werror -Wall -W
override LDLIBS += -lsepol -lselinux -lsemanage
SETSEBOOL_OBJS = setsebool.o

BASHCOMPLETIONS=setsebool-bash-completion.sh 

all: setsebool

setsebool: $(SETSEBOOL_OBJS)

install: all
	-mkdir -p $(DESTDIR)$(SBINDIR)
	install -m 755 setsebool $(DESTDIR)$(SBINDIR)
	-mkdir -p $(DESTDIR)$(MANDIR)/man8
	install -m 644 setsebool.8 $(DESTDIR)$(MANDIR)/man8/
	-mkdir -p $(DESTDIR)$(BASHCOMPLETIONDIR)
	install -m 644 $(BASHCOMPLETIONS) $(DESTDIR)$(BASHCOMPLETIONDIR)/setsebool

relabel:

clean:
	-rm -f setsebool *.o

indent:
	../../scripts/Lindent $(wildcard *.[ch])

=== debian/changelog ===
policycoreutils (2.8-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
  * debian/control: Point Vcs-* fields to new (salsa) machine
  * debian/rules: Adjust to match upstream changes to the build system
  * debian/control: Bump Standards-Version to 4.1.4 (no further changes)
  * debian/rules: Use dh_missing --fail-missing instead of dh_install
  * debian/control: Bump the priority of the newrole package to optional,
    priority extra is deprecated

 -- Laurent Bigonville <bigon@debian.org>  Tue, 29 May 2018 17:27:40 +0200

=== debian/control ===
Source: policycoreutils
VCS-Git: https://salsa.debian.org/selinux-team/policycoreutils.git
VCS-Browser: https://salsa.debian.org/selinux-team/policycoreutils
Priority: optional
Section: utils
Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>,
           Russell Coker <russell@coker.com.au>
Standards-Version: 4.1.4
Build-Depends: debhelper (>= 10),
               gawk,
               gettext,
               libaudit-dev,
               libcap-ng-dev,
               libpam0g-dev,
               libselinux1-dev (>= 2.8),
               libsemanage1-dev (>= 2.8),
               libsepol1-dev (>= 2.8),
Homepage: http://userspace.selinuxproject.org/

Package: policycoreutils
Architecture: linux-any
Depends: lsb-base (>= 3.0-6), selinux-utils, ${misc:Depends}, ${shlibs:Depends}
Breaks: selinux-basics (<< 0.5.3~), findutils (<< 4.5.7)
Pre-Depends: ${misc:Pre-Depends}
Description: SELinux core policy utilities
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains the core policy utilities that are required
 for basic operation of an SELinux system.  These utilities include
 load_policy to load policies, setfiles to label filesystems.

Package: newrole
Architecture: linux-any
Depends: libcap2-bin,
         policycoreutils (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: policycoreutils (<< 2.4)
Replaces: policycoreutils (<< 2.4)
Description: SELinux core policy utilities (newrole application for RBAC/MLS)
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 RBAC/MLS policy machines require newrole as a way of changing the role or
 level of a logged in user.
 .
 This package contains newrole to switch roles, run_init to run /etc/init.d
 scripts in the proper context.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
#  # Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export HLLDIR=/usr/lib/selinux/hll

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
# missing (hardening) flags. dpkg_buildflags is necessary because $(shell ..)
# doesn't use local environment variables.
dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
export DEB_CFLAGS_MAINT_APPEND = $(shell $(dpkg_buildflags) --get CPPFLAGS)

# Build newrole executable with the audit and namespace support
export LSPP_PRIV=y

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_missing:
	dh_missing --list-missing

override_dh_installinit:
	dh_installinit --no-start --name=selinux-autorelabel
# We don't have a -mark LSB initscript, so we don't need maintainer script for it (-n)
	dh_installinit -n --name=selinux-autorelabel-mark

override_dh_installpam:
	dh_installpam -pnewrole --name=newrole
	dh_installpam -pnewrole --name=run_init

## policycoreutils 2.9

=== debian/changelog ===
policycoreutils (2.9-2) unstable; urgency=medium

  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Mon, 08 Jul 2019 09:30:38 +0200

policycoreutils (2.9-1) experimental; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
  * debian/watch: Adjust the URL
  * debian/control: Bump Standards-Version to 4.3.0 (no further changes)
  * debian/newrole.install, debian/policycoreutils.install: Install manpages
    in Russian

 -- Laurent Bigonville <bigon@debian.org>  Sat, 23 Mar 2019 15:31:16 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 10),
                gawk,
                gettext,
                libaudit-dev,
                libcap-ng-dev,
                libpam0g-dev,
-               libselinux1-dev (>= 2.8),
-               libsemanage1-dev (>= 2.8),
-               libsepol1-dev (>= 2.8),
+               libselinux1-dev (>= 2.9),
+               libsemanage1-dev (>= 2.9),
+               libsepol1-dev (>= 2.9),
 Homepage: http://userspace.selinuxproject.org/
 
 Package: policycoreutils

## policycoreutils 3.0

=== newrole/Makefile ===
# Installation directories.
LINGUAS ?= ru
PREFIX ?= /usr
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man
ETCDIR ?= /etc
LOCALEDIR = $(DESTDIR)$(PREFIX)/share/locale
PAMH ?= $(shell test -f /usr/include/security/pam_appl.h && echo y)
AUDITH ?= $(shell test -f /usr/include/libaudit.h && echo y)
# Enable capabilities to permit newrole to generate audit records.
# This will make newrole a setuid root program.
# The capabilities used are: CAP_AUDIT_WRITE.
AUDIT_LOG_PRIV ?= n
# Enable capabilities to permit newrole to utilitize the pam_namespace module.
# This will make newrole a setuid root program.
# The capabilities used are: CAP_SYS_ADMIN, CAP_CHOWN, CAP_FOWNER and
# CAP_DAC_OVERRIDE. 
NAMESPACE_PRIV ?= n
# If LSPP_PRIV is y, then newrole will be made into setuid root program.
# Enabling this option will force AUDIT_LOG_PRIV and NAMESPACE_PRIV to be y.
LSPP_PRIV ?= n
VERSION = $(shell cat ../VERSION)

CFLAGS ?= -Werror -Wall -W
EXTRA_OBJS =
override CFLAGS += -DVERSION=\"$(VERSION)\" -DUSE_NLS -DLOCALEDIR="\"$(LOCALEDIR)\"" -DPACKAGE="\"policycoreutils\""
override LDLIBS += -lselinux
ifeq ($(PAMH), y)
	override CFLAGS += -DUSE_PAM
	EXTRA_OBJS += hashtab.o
	override LDLIBS += -lpam -lpam_misc
else
	override CFLAGS += -D_XOPEN_SOURCE=500
	override LDLIBS += -lcrypt
endif
ifeq ($(AUDITH), y)
	override CFLAGS += -DUSE_AUDIT
	override LDLIBS += -laudit
endif
ifeq ($(LSPP_PRIV),y)
	override AUDIT_LOG_PRIV=y
	override NAMESPACE_PRIV=y
endif
ifeq ($(AUDIT_LOG_PRIV),y)
	override CFLAGS += -DAUDIT_LOG_PRIV
	IS_SUID=y
endif
ifeq ($(NAMESPACE_PRIV),y)
	override CFLAGS += -DNAMESPACE_PRIV
	IS_SUID=y
endif
ifeq ($(IS_SUID),y)
	MODE := 4555
	override LDLIBS += -lcap-ng
else
	MODE := 0555
endif

all: newrole

newrole: newrole.o $(EXTRA_OBJS)
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS)

install: all
	test -d $(DESTDIR)$(BINDIR)      || install -m 755 -d $(DESTDIR)$(BINDIR)
	test -d $(DESTDIR)$(ETCDIR)/pam.d || install -m 755 -d $(DESTDIR)$(ETCDIR)/pam.d
	test -d $(DESTDIR)$(MANDIR)/man1 || install -m 755 -d $(DESTDIR)$(MANDIR)/man1
	install -m $(MODE) newrole $(DESTDIR)$(BINDIR)
	install -m 644 newrole.1 $(DESTDIR)$(MANDIR)/man1/
	for lang in $(LINGUAS) ; do \
		if [ -e $${lang} ] ; then \
			test -d $(DESTDIR)$(MANDIR)/$${lang}/man1 || install -m 755 -d $(DESTDIR)$(MANDIR)/$${lang}/man1 ; \
			install -m 644 $${lang}/*.1 $(DESTDIR)$(MANDIR)/$${lang}/man1/ ; \
		fi ; \
	done
ifeq ($(PAMH), y)
	test -d $(DESTDIR)$(ETCDIR)/pam.d || install -m 755 -d $(DESTDIR)$(ETCDIR)/pam.d
ifeq ($(LSPP_PRIV),y)
	install -m 644 newrole-lspp.pamd $(DESTDIR)$(ETCDIR)/pam.d/newrole
else
	install -m 644 newrole.pamd $(DESTDIR)$(ETCDIR)/pam.d/newrole
endif
endif

clean:
	rm -f newrole *.o 

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel: install
	/sbin/restorecon $(DESTDIR)$(BINDIR)/newrole

=== debian/changelog ===
policycoreutils (3.0-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
  * Switch to debhelper compat 12, stop overriding dh_missing
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * debian/rules: Install the hll compiler in /usr/libexec now that the debian
    policy allows it

 -- Laurent Bigonville <bigon@debian.org>  Thu, 12 Dec 2019 14:40:41 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 10),
+Standards-Version: 4.4.1
+Build-Depends: debhelper (>= 12),
                gawk,
                gettext,
                libaudit-dev,
                libcap-ng-dev,
                libpam0g-dev,
-               libselinux1-dev (>= 2.9),
-               libsemanage1-dev (>= 2.9),
-               libsepol1-dev (>= 2.9),
+               libselinux1-dev (>= 3.0),
+               libsemanage1-dev (>= 3.0),
+               libsepol1-dev (>= 3.0),
 Homepage: http://userspace.selinuxproject.org/
 
 Package: policycoreutils

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 #export DH_VERBOSE=1
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-export HLLDIR=/usr/lib/selinux/hll
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -24,13 +23,15 @@
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
 
-override_dh_missing:
-	dh_missing --list-missing
+override_dh_installinit:
+	dh_installinit -ppolicycoreutils --no-start --name=selinux-autorelabel
 
-override_dh_installinit:
-	dh_installinit --no-start --name=selinux-autorelabel
-# We don't have a -mark LSB initscript, so we don't need maintainer script for it (-n)
-	dh_installinit -n --name=selinux-autorelabel-mark
+override_dh_installsystemd:
+	dh_installsystemd -ppolicycoreutils --no-start --no-restart-after-upgrade --name=selinux-autorelabel
+# selinux-autorelabel-mark.service functionality is included in the LSB
+# selinux-autorelabel script, that's why there is no conterpart in the LSB
+# world
+	dh_installsystemd -ppolicycoreutils --no-start --no-restart-after-upgrade --name=selinux-autorelabel-mark
 
 override_dh_installpam:
 	dh_installpam -pnewrole --name=newrole

## policycoreutils 3.1

=== debian/changelog ===
policycoreutils (3.1-3) unstable; urgency=medium

  * Remove needless quotes around $FORCE variable in
    /lib/systemd/selinux-autorelabel to avoid shell error on empty file
    Closes: #983447
  * Add check for noautorelabel command line option to prevent relabeling
    Closes: #922448
  * Make fixfiles avoid trying to relabel tmpfs and other non-permanent
    filesystems
    Closes: #984567

 -- Russell Coker <russell@coker.com.au>  Fri, 05 Mar 2021 20:45:24 +1100

policycoreutils (3.1-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Add debian/gitlab-ci.yml file

  [ Christian Göttsche ]
  * d/local/selinux-autorelabel: Please shellcheck
  * d/gitlab-ci.yml: Use Debian recipe
  * d/control: Bump debhelper compat to level 13
  * d/control: Bump Standards-Version to 4.5.1 (no further changes)
  * d/control: update homepage
  * d/rules: Enable -Wall -Wextra
  * d/control: Convert cute fields
  * d/policycoreutils.maintscript: Drop entry for ancient version
  * d/patches: cherry-pick fixfiles: correctly restore context of mountpoints
    (Closes: #976455)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 10 Feb 2021 16:46:48 +0100

policycoreutils (3.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 1.30.26-2, 1.30-1, 1.28-1.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Laurent Bigonville ]
  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
  * debian/control: Set Rules-Requires-Root: no

 -- Laurent Bigonville <bigon@debian.org>  Wed, 15 Jul 2020 11:41:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,26 @@
 Source: policycoreutils
-VCS-Git: https://salsa.debian.org/selinux-team/policycoreutils.git
-VCS-Browser: https://salsa.debian.org/selinux-team/policycoreutils
+Vcs-Git: https://salsa.debian.org/selinux-team/policycoreutils.git
+Vcs-Browser: https://salsa.debian.org/selinux-team/policycoreutils
 Priority: optional
 Section: utils
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.4.1
-Build-Depends: debhelper (>= 12),
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13),
                gawk,
                gettext,
                libaudit-dev,
                libcap-ng-dev,
                libpam0g-dev,
-               libselinux1-dev (>= 3.0),
-               libsemanage1-dev (>= 3.0),
-               libsepol1-dev (>= 3.0),
-Homepage: http://userspace.selinuxproject.org/
+               libselinux1-dev (>= 3.1),
+               libsemanage1-dev (>= 3.1),
+               libsepol1-dev (>= 3.1),
+Homepage: https://selinuxproject.org
+# The newrole executable is not installed SETUID in the package,
+# this is done in the postinst script if the capabilities cannot be set.
+# There is no need to have (fake)root during the build.
+Rules-Requires-Root: no
 
 Package: policycoreutils
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,10 @@
 
 # The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
 # missing (hardening) flags. dpkg_buildflags is necessary because $(shell ..)
-# doesn't use local environment variables.
+# doesn't use local environment variables. Also enable Wall and Wextra to spot
+# basic irregularities.
 dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
-export DEB_CFLAGS_MAINT_APPEND = $(shell $(dpkg_buildflags) --get CPPFLAGS)
+export DEB_CFLAGS_MAINT_APPEND = $(shell $(dpkg_buildflags) --get CPPFLAGS) -Wall -Wextra
 
 # Build newrole executable with the audit and namespace support
 export LSPP_PRIV=y

## policycoreutils 3.3

=== debian/changelog ===
policycoreutils (3.3-1build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:26:23 +0000

policycoreutils (3.3-1) unstable; urgency=medium

  * debian/watch: Update the URL to follow the new tagging format
  * New upstream version 3.3
    - debian/control: Bump build-dependencies to match the new release
    - Drop d/p/fixfiles-correctly-restore-context-of-mountpoints.patch,
      merged upstream
  * debian/policycoreutils.install: Install sestatus in /usr/bin and keep
    symlink in /usr/sbin
  * debian/control: Drop ancient Breaks/Replaces
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 08 Nov 2021 17:28:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13),
                gawk,
                gettext,
                libaudit-dev,
                libcap-ng-dev,
                libpam0g-dev,
-               libselinux1-dev (>= 3.1),
-               libsemanage1-dev (>= 3.1),
-               libsepol1-dev (>= 3.1),
+               libselinux1-dev (>= 3.3),
+               libsemanage-dev (>= 3.3),
+               libsepol-dev (>= 3.3),
 Homepage: https://selinuxproject.org
 # The newrole executable is not installed SETUID in the package,
 # this is done in the postinst script if the capabilities cannot be set.
@@ -25,7 +25,6 @@
 Package: policycoreutils
 Architecture: linux-any
 Depends: lsb-base (>= 3.0-6), selinux-utils, ${misc:Depends}, ${shlibs:Depends}
-Breaks: selinux-basics (<< 0.5.3~), findutils (<< 4.5.7)
 Pre-Depends: ${misc:Pre-Depends}
 Description: SELinux core policy utilities
  Security-enhanced Linux is a patch of the Linux® kernel and a number
@@ -48,8 +47,6 @@
          policycoreutils (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: policycoreutils (<< 2.4)
-Replaces: policycoreutils (<< 2.4)
 Description: SELinux core policy utilities (newrole application for RBAC/MLS)
  Security-enhanced Linux is a patch of the Linux® kernel and a number
  of utilities with enhanced security functionality designed to add

## policycoreutils 3.4

=== Makefile ===
SUBDIRS = setfiles load_policy newrole run_init secon sestatus semodule setsebool scripts po man hll

all install relabel clean indent:
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

test:

=== debian/changelog ===
policycoreutils (3.4-1) unstable; urgency=medium

  [ Christian Göttsche ]
  * d/newrole.postinst: drop usage of which
  * d/policycoreutils.postrm: remove /.autorelabel on purge

  [ Laurent Bigonville ]
  * New upstream release
    - debian/control: Bump build-dependencies to match the new release
    - debian/patches/fixfiles-remove-extras: Refreshed
  * Enable GPG key validation of the upstream tarball

 -- Laurent Bigonville <bigon@debian.org>  Sun, 05 Jun 2022 01:02:59 +0200

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                libaudit-dev,
                libcap-ng-dev,
                libpam0g-dev,
-               libselinux1-dev (>= 3.3),
-               libsemanage-dev (>= 3.3),
-               libsepol-dev (>= 3.3),
+               libselinux1-dev (>= 3.4),
+               libsemanage-dev (>= 3.4),
+               libsepol-dev (>= 3.4),
 Homepage: https://selinuxproject.org
 # The newrole executable is not installed SETUID in the package,
 # this is done in the postinst script if the capabilities cannot be set.

## policycoreutils 3.5

=== newrole/Makefile ===
--- 
+++ 
@@ -5,13 +5,14 @@
 MANDIR ?= $(PREFIX)/share/man
 ETCDIR ?= /etc
 LOCALEDIR = $(DESTDIR)$(PREFIX)/share/locale
-PAMH ?= $(shell test -f /usr/include/security/pam_appl.h && echo y)
-AUDITH ?= $(shell test -f /usr/include/libaudit.h && echo y)
+INCLUDEDIR ?= $(PREFIX)/include
+PAMH ?= $(shell test -f $(INCLUDEDIR)/security/pam_appl.h && echo y)
+AUDITH ?= $(shell test -f $(INCLUDEDIR)/libaudit.h && echo y)
 # Enable capabilities to permit newrole to generate audit records.
 # This will make newrole a setuid root program.
 # The capabilities used are: CAP_AUDIT_WRITE.
 AUDIT_LOG_PRIV ?= n
-# Enable capabilities to permit newrole to utilitize the pam_namespace module.
+# Enable capabilities to permit newrole to utilize the pam_namespace module.
 # This will make newrole a setuid root program.
 # The capabilities used are: CAP_SYS_ADMIN, CAP_CHOWN, CAP_FOWNER and
 # CAP_DAC_OVERRIDE. 
@@ -90,3 +91,16 @@
 
 relabel: install
 	/sbin/restorecon $(DESTDIR)$(BINDIR)/newrole
+
+test-build-options:
+	$(MAKE) PAMH=y AUDITH=y AUDIT_LOG_PRIV=y NAMESPACE_PRIV=y clean newrole
+	$(MAKE) PAMH=y AUDITH=y AUDIT_LOG_PRIV=y NAMESPACE_PRIV=n clean newrole
+	$(MAKE) PAMH=y AUDITH=y AUDIT_LOG_PRIV=n NAMESPACE_PRIV=y clean newrole
+	$(MAKE) PAMH=y AUDITH=y AUDIT_LOG_PRIV=n NAMESPACE_PRIV=n clean newrole
+	$(MAKE) PAMH=y AUDITH=y AUDIT_LOG_PRIV=y NAMESPACE_PRIV=y clean newrole
+	$(MAKE) PAMH=y AUDITH=n AUDIT_LOG_PRIV=n NAMESPACE_PRIV=y clean newrole
+	$(MAKE) PAMH=y AUDITH=n AUDIT_LOG_PRIV=n NAMESPACE_PRIV=n clean newrole
+	$(MAKE) PAMH=n AUDITH=y AUDIT_LOG_PRIV=y NAMESPACE_PRIV=n clean newrole
+	$(MAKE) PAMH=n AUDITH=y AUDIT_LOG_PRIV=n NAMESPACE_PRIV=n clean newrole
+	$(MAKE) PAMH=n AUDITH=n AUDIT_LOG_PRIV=n NAMESPACE_PRIV=n clean newrole
+	$(MAKE) clean

=== debian/changelog ===
policycoreutils (3.5-2) unstable; urgency=medium

  * Made fixfiles default to -T0 (threads=cores) Closes: #1042756
  * Added /usr/libexec/selinux/remove-leaf-dirs for use by policy packages

 -- Russell Coker <russell@coker.com.au>  Thu, 24 Aug 2023 22:26:45 +1000

policycoreutils (3.5-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump build-dependencies to match the new release
  * debian/upstream/signing-key.asc: Add public key of Jason Zaman
  * debian/control: Bump Standards-Version to 4.6.2 (no further changes)
  * debian/control: Drop lsb-base from the dependencies, to please lintian
  * debian/policycoreutils.lintian-overrides: Fix override

 -- Laurent Bigonville <bigon@debian.org>  Tue, 11 Jul 2023 08:02:41 +0200

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                gawk,
                gettext,
                libaudit-dev,
                libcap-ng-dev,
                libpam0g-dev,
-               libselinux1-dev (>= 3.4),
-               libsemanage-dev (>= 3.4),
-               libsepol-dev (>= 3.4),
+               libselinux1-dev (>= 3.5),
+               libsemanage-dev (>= 3.5),
+               libsepol-dev (>= 3.5),
 Homepage: https://selinuxproject.org
 # The newrole executable is not installed SETUID in the package,
 # this is done in the postinst script if the capabilities cannot be set.
@@ -24,7 +24,7 @@
 
 Package: policycoreutils
 Architecture: linux-any
-Depends: lsb-base (>= 3.0-6), selinux-utils, ${misc:Depends}, ${shlibs:Depends}
+Depends: selinux-utils, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: SELinux core policy utilities
  Security-enhanced Linux is a patch of the Linux® kernel and a number

## policycoreutils 3.7

=== debian/changelog ===
policycoreutils (3.7-2) unstable; urgency=medium

  * Put back the 3.5-2 and 3.5-2.1 that were accidentally dropped
    Closes: #1073623
  * Don't have second linked copy of sestatus Closes: #1064804

 -- Russell Coker <russell@coker.com.au>  Sun, 01 Sep 2024 17:37:30 +1000

policycoreutils (3.7-1) unstable; urgency=medium

  * New upstream release
  * Added new upstream signing key
  * Removed config for Russian man pages

 -- Russell Coker <russell@coker.com.au>  Fri, 30 Aug 2024 13:38:54 +1000

policycoreutils (3.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move aliased files from / to /usr (DEP17). Closes: #1073623

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Aug 2024 09:00:46 +0200

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                libaudit-dev,
                libcap-ng-dev,
                libpam0g-dev,
-               libselinux1-dev (>= 3.5),
-               libsemanage-dev (>= 3.5),
-               libsepol-dev (>= 3.5),
+               libselinux1-dev (>= 3.7),
+               libsemanage-dev (>= 3.7),
+               libsepol-dev (>= 3.7),
 Homepage: https://selinuxproject.org
 # The newrole executable is not installed SETUID in the package,
 # this is done in the postinst script if the capabilities cannot be set.

## policycoreutils 3.8

=== debian/changelog ===
policycoreutils (3.8-1) unstable; urgency=medium

  * New upstream release, adds unsetfiles to remove labels

 -- Russell Coker <russell@coker.com.au>  Thu, 06 Feb 2025 23:16:42 +1100

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                libaudit-dev,
                libcap-ng-dev,
                libpam0g-dev,
-               libselinux1-dev (>= 3.7),
-               libsemanage-dev (>= 3.7),
-               libsepol-dev (>= 3.7),
+               libselinux1-dev (>= 3.8),
+               libsemanage-dev (>= 3.8),
+               libsepol-dev (>= 3.8),
 Homepage: https://selinuxproject.org
 # The newrole executable is not installed SETUID in the package,
 # this is done in the postinst script if the capabilities cannot be set.

## policycoreutils 3.8.1

=== Makefile ===
SUBDIRS = setfiles load_policy newrole run_init secon sestatus semodule setsebool scripts po man hll unsetfiles

all install relabel clean indent:
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

test:

=== unsetfiles/Makefile ===
PREFIX ?= /usr
SBINDIR ?= $(PREFIX)/sbin
MANDIR ?= $(PREFIX)/share/man

override CFLAGS += -D_GNU_SOURCE
override LDLIBS += -lselinux


all: unsetfiles

unsetfiles: unsetfiles.o

install: all
	test -d $(DESTDIR)$(SBINDIR)     || install -m 755 -d $(DESTDIR)$(SBINDIR)
	test -d $(DESTDIR)$(MANDIR)/man1 || install -m 755 -d $(DESTDIR)$(MANDIR)/man1
	install -m 755 unsetfiles $(DESTDIR)$(SBINDIR)
	install -m 644 unsetfiles.1 $(DESTDIR)$(MANDIR)/man1/

clean:
	-rm -f unsetfiles *.o

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel: install
	/sbin/restorecon $(DESTDIR)$(SBINDIR)/unsetfiles

=== debian/changelog ===
policycoreutils (3.8.1-1) unstable; urgency=medium

  * New upstream release, just version change

 -- Russell Coker <russell@coker.com.au>  Sun, 16 Mar 2025 19:41:42 +1100

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                libaudit-dev,
                libcap-ng-dev,
                libpam0g-dev,
-               libselinux1-dev (>= 3.8),
-               libsemanage-dev (>= 3.8),
-               libsepol-dev (>= 3.8),
+               libselinux1-dev (>= 3.8.1),
+               libsemanage-dev (>= 3.8.1),
+               libsepol-dev (>= 3.8.1),
 Homepage: https://selinuxproject.org
 # The newrole executable is not installed SETUID in the package,
 # this is done in the postinst script if the capabilities cannot be set.

## policycoreutils 3.9

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,10 @@
 SUBDIRS = setfiles load_policy newrole run_init secon sestatus semodule setsebool scripts po man hll unsetfiles
+
+PKG_CONFIG ?= pkg-config
+
+LIBSELINUX_LDLIBS := $(shell PKG_CONFIG_PATH="$(PKG_CONFIG_PATH):../libselinux/src" $(PKG_CONFIG) --libs libselinux)
+LIBSEMANAGE_LDLIBS := $(shell PKG_CONFIG_PATH="$(PKG_CONFIG_PATH):../libsemanage/src" $(PKG_CONFIG) --libs libsemanage)
+export LIBSELINUX_LDLIBS LIBSEMANAGE_LDLIBS
 
 all install relabel clean indent:
 	@for subdir in $(SUBDIRS); do \

=== load_policy/Makefile ===
# Installation directories.
LINGUAS ?=
PREFIX ?= /usr
SBINDIR ?= $(PREFIX)/sbin
MANDIR ?= $(PREFIX)/share/man
LOCALEDIR ?= $(DESTDIR)$(PREFIX)/share/locale

CFLAGS ?= -Werror -Wall -W
override CFLAGS += $(LDFLAGS) -I../../libselinux/include -L../../libselinux/src -DUSE_NLS -DLOCALEDIR="\"$(LOCALEDIR)\"" -DPACKAGE="\"policycoreutils\""
override LDLIBS += $(LIBSELINUX_LDLIBS) -lsepol

TARGETS=$(patsubst %.c,%,$(sort $(wildcard *.c)))

all: $(TARGETS)

install: all
	-mkdir -p $(DESTDIR)$(SBINDIR)
	install -m 755 $(TARGETS) $(DESTDIR)$(SBINDIR)
	test -d $(DESTDIR)$(MANDIR)/man8 || install -m 755 -d $(DESTDIR)$(MANDIR)/man8
	install -m 644 load_policy.8 $(DESTDIR)$(MANDIR)/man8/
	for lang in $(LINGUAS) ; do \
		if [ -e $${lang} ] ; then \
			test -d $(DESTDIR)$(MANDIR)/$${lang}/man8 || install -m 755 -d $(DESTDIR)$(MANDIR)/$${lang}/man8 ; \
			install -m 644 $${lang}/*.8 $(DESTDIR)$(MANDIR)/$${lang}/man8/ ; \
		fi ; \
	done

clean:
	-rm -f $(TARGETS) *.o 

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel:
	/sbin/restorecon $(DESTDIR)$(SBINDIR)/load_policy

=== man/Makefile ===
# Installation directories.
LINGUAS ?=
PREFIX ?= /usr
MANDIR ?= $(PREFIX)/share/man
MAN5DIR ?= $(MANDIR)/man5

all:

clean:

install: all
	mkdir -p $(DESTDIR)$(MAN5DIR)
	install -m 644 man5/*.5 $(DESTDIR)$(MAN5DIR)
	for lang in $(LINGUAS) ; do \
		if [ -e $${lang}/man5 ] ; then \
			mkdir -p $(DESTDIR)$(MANDIR)/$${lang}/man5 ; \
			install -m 644 $${lang}/man5/*.5 $(DESTDIR)$(MANDIR)/$${lang}/man5 ; \
		fi ; \
	done

relabel:

=== newrole/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Installation directories.
-LINGUAS ?= ru
+LINGUAS ?=
 PREFIX ?= /usr
 BINDIR ?= $(PREFIX)/bin
 MANDIR ?= $(PREFIX)/share/man
@@ -24,8 +24,9 @@
 
 CFLAGS ?= -Werror -Wall -W
 EXTRA_OBJS =
-override CFLAGS += -DVERSION=\"$(VERSION)\" -DUSE_NLS -DLOCALEDIR="\"$(LOCALEDIR)\"" -DPACKAGE="\"policycoreutils\""
-override LDLIBS += -lselinux
+override CFLAGS += -I../../libselinux/include -DVERSION=\"$(VERSION)\" -DUSE_NLS -DLOCALEDIR="\"$(LOCALEDIR)\"" -DPACKAGE="\"policycoreutils\""
+override LDFLAGS+= -L../../libselinux/src
+override LDLIBS += $(LIBSELINUX_LDLIBS)
 ifeq ($(PAMH), y)
 	override CFLAGS += -DUSE_PAM
 	EXTRA_OBJS += hashtab.o

=== run_init/Makefile ===

# Installation directories.
LINGUAS ?=
PREFIX ?= /usr
SBINDIR ?= $(PREFIX)/sbin
MANDIR ?= $(PREFIX)/share/man
ETCDIR ?= /etc
LOCALEDIR ?= $(DESTDIR)$(PREFIX)/share/locale
PAMH ?= $(shell test -f /usr/include/security/pam_appl.h && echo y)
AUDITH ?= $(shell test -f /usr/include/libaudit.h && echo y)

CFLAGS ?= -Werror -Wall -W
override CFLAGS += -I../../libselinux/include -DUSE_NLS -DLOCALEDIR="\"$(LOCALEDIR)\"" -DPACKAGE="\"policycoreutils\""
override LDFLAGS+= -L../../libselinux/src
override LDLIBS += $(LIBSELINUX_LDLIBS)
ifeq ($(PAMH), y)
	override CFLAGS += -DUSE_PAM
	override LDLIBS += -lpam -lpam_misc
else
	override CFLAGS += -D_XOPEN_SOURCE=500
	override LDLIBS += -lcrypt
endif
ifeq ($(AUDITH), y)
	override CFLAGS += -DUSE_AUDIT
	override LDLIBS += -laudit
endif

TARGETS=$(patsubst %.c,%,$(sort $(wildcard *.c)))

all: $(TARGETS)

open_init_pty: open_init_pty.c
	$(LINK.c) $^ -ldl -lutil -o $@


install: all
	test -d $(DESTDIR)$(SBINDIR)      || install -m 755 -d $(DESTDIR)$(SBINDIR)
	test -d $(DESTDIR)$(MANDIR)/man8 || install -m 755 -d $(DESTDIR)$(MANDIR)/man8
	install -m 755 run_init $(DESTDIR)$(SBINDIR)
	install -m 755 open_init_pty $(DESTDIR)$(SBINDIR)
	install -m 644 run_init.8 $(DESTDIR)$(MANDIR)/man8/
	install -m 644 open_init_pty.8 $(DESTDIR)$(MANDIR)/man8/
	for lang in $(LINGUAS) ; do \
		if [ -e $${lang} ] ; then \
			test -d $(DESTDIR)$(MANDIR)/$${lang}/man8 || install -m 755 -d $(DESTDIR)$(MANDIR)/$${lang}/man8 ; \
			install -m 644 $${lang}/*.8 $(DESTDIR)$(MANDIR)/$${lang}/man8/ ; \
		fi ; \
	done
ifeq ($(PAMH), y)
	install -m 644 run_init.pamd $(DESTDIR)$(ETCDIR)/pam.d/run_init
endif

clean:
	-rm -f $(TARGETS) *.o 

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel: install
	/sbin/restorecon $(DESTDIR)$(SBINDIR)/run_init $(DESTDIR)$(SBINDIR)/open_init_pty

=== secon/Makefile ===
# secon tool - command-line context
LINGUAS ?=
PREFIX ?= /usr
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man

WARNS=-Werror -W -Wall -Wundef -Wshadow -Wpointer-arith -Wbad-function-cast -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -Wno-format-zero-length -Wformat-nonliteral -Wformat-security -Wfloat-equal
VERSION = $(shell cat ../VERSION)
CFLAGS ?= $(WARNS) -O1
override CFLAGS += -I../../libselinux/include -DVERSION=\"$(VERSION)\"
override LDFLAGS+= -L../../libselinux/src
override LDLIBS += $(LIBSELINUX_LDLIBS)

all: secon

secon: secon.o 

install-nogui: install

install: all
	install -m 755 secon $(DESTDIR)$(BINDIR);

	test -d $(DESTDIR)$(MANDIR)/man1 || install -m 755 -d $(DESTDIR)$(MANDIR)/man1
	install -m 644 secon.1 $(DESTDIR)$(MANDIR)/man1
	for lang in $(LINGUAS) ; do \
		if [ -e $${lang} ] ; then \
			test -d $(DESTDIR)$(MANDIR)/$${lang}/man1 || install -m 755 -d $(DESTDIR)$(MANDIR)/$${lang}/man1 ; \
			install -m 644 $${lang}/*.1 $(DESTDIR)$(MANDIR)/$${lang}/man1/ ; \
		fi ; \
	done

relabel:
	/sbin/restorecon $(DESTDIR)$(BINDIR)/secon

clean:
	rm -f *.o core* secon *~ *.bak

indent:
	../../scripts/Lindent $(wildcard *.[ch])

bare: clean

.PHONY: clean bare

=== semodule/Makefile ===
--- 
+++ 
@@ -1,10 +1,13 @@
 # Installation directories.
+LINGUAS ?=
 PREFIX ?= /usr
 SBINDIR ?= $(PREFIX)/sbin
 MANDIR = $(PREFIX)/share/man
 
 CFLAGS ?= -Werror -Wall -W
-override LDLIBS += -lsepol -lselinux -lsemanage
+override CFLAGS += -I../../libselinux/include -I../../libsemanage/include
+override LDFLAGS+= -L../../libselinux/src     -L../../libsemanage/src
+override LDLIBS += $(LIBSEMANAGE_LDLIBS) -lsepol $(LIBSELINUX_LDLIBS)
 SEMODULE_OBJS = semodule.o
 
 all: semodule genhomedircon
@@ -21,6 +24,12 @@
 	test -d $(DESTDIR)$(MANDIR)/man8 || install -m 755 -d $(DESTDIR)$(MANDIR)/man8
 	install -m 644 semodule.8 $(DESTDIR)$(MANDIR)/man8/
 	install -m 644 genhomedircon.8 $(DESTDIR)$(MANDIR)/man8/
+	for lang in $(LINGUAS) ; do \
+		if [ -e $${lang} ] ; then \
+			test -d $(DESTDIR)$(MANDIR)/$${lang}/man8 || install -m 755 -d $(DESTDIR)$(MANDIR)/$${lang}/man8 ; \
+			install -m 644 $${lang}/*.8 $(DESTDIR)$(MANDIR)/$${lang}/man8/ ; \
+		fi ; \
+	done
 
 relabel:

=== sestatus/Makefile ===
# Installation directories.
LINGUAS ?=
PREFIX ?= /usr
BINDIR ?= $(PREFIX)/bin
SBINDIR ?= $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
ETCDIR ?= /etc

CFLAGS ?= -Werror -Wall -W
override CFLAGS += -I../../libselinux/include -D_FILE_OFFSET_BITS=64
override LDFLAGS+= -L../../libselinux/src
override LDLIBS += $(LIBSELINUX_LDLIBS)

all: sestatus

sestatus: sestatus.o

install: all
	[ -d $(DESTDIR)$(MANDIR)/man8 ] || mkdir -p $(DESTDIR)$(MANDIR)/man8
	[ -d $(DESTDIR)$(MANDIR)/man5 ] || mkdir -p $(DESTDIR)$(MANDIR)/man5
	-mkdir -p $(DESTDIR)$(BINDIR)
	-mkdir -p $(DESTDIR)$(SBINDIR)
	# Some tools hard code /usr/sbin/sestatus ; add a compatibility symlink
	# install will overwrite a symlink, so create the symlink before calling
	# install to allow distributions with BINDIR == SBINDIR
	ln -sf --relative $(DESTDIR)$(BINDIR)/sestatus $(DESTDIR)$(SBINDIR)
	install -m 755 sestatus $(DESTDIR)$(BINDIR)
	install -m 644 sestatus.8 $(DESTDIR)$(MANDIR)/man8
	install -m 644 sestatus.conf.5 $(DESTDIR)$(MANDIR)/man5
	for lang in $(LINGUAS) ; do \
		if [ -e $${lang} ] ; then \
			[ -d $(DESTDIR)$(MANDIR)/$${lang}/man5 ] || mkdir -p $(DESTDIR)$(MANDIR)/$${lang}/man5 ; \
			[ -d $(DESTDIR)$(MANDIR)/$${lang}/man8 ] || mkdir -p $(DESTDIR)$(MANDIR)/$${lang}/man8 ; \
			install -m 644 $${lang}/*.5 $(DESTDIR)$(MANDIR)/$${lang}/man5/ ; \
			install -m 644 $${lang}/*.8 $(DESTDIR)$(MANDIR)/$${lang}/man8/ ; \
		fi ; \
	done
	-mkdir -p $(DESTDIR)$(ETCDIR)
	install -m 644 sestatus.conf $(DESTDIR)$(ETCDIR)

clean:
	rm -f sestatus *.o

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel:

=== setfiles/Makefile ===
# Installation directories.
LINGUAS ?=
PREFIX ?= /usr
SBINDIR ?= /sbin
MANDIR = $(PREFIX)/share/man
AUDITH ?= $(shell test -f /usr/include/libaudit.h && echo y)

CFLAGS ?= -g -Werror -Wall -W
override CFLAGS += -I../../libselinux/include
override LDFLAGS+= -L../../libselinux/src
override LDLIBS += $(LIBSELINUX_LDLIBS) -lsepol -lpthread

ifeq ($(AUDITH), y)
	override CFLAGS += -DUSE_AUDIT
	override LDLIBS += -laudit
endif

all: setfiles restorecon restorecon_xattr

setfiles: setfiles.o restore.o

restorecon: setfiles
	ln -sf setfiles restorecon

restorecon_xattr: restorecon_xattr.o restore.o

install: all
	[ -d $(DESTDIR)$(MANDIR)/man8 ] || mkdir -p $(DESTDIR)$(MANDIR)/man8
	-mkdir -p $(DESTDIR)$(SBINDIR)
	install -m 755 setfiles $(DESTDIR)$(SBINDIR)
	(cd $(DESTDIR)$(SBINDIR) && ln -sf setfiles restorecon)
	install -m 755 restorecon_xattr $(DESTDIR)$(SBINDIR)
	install -m 644 setfiles.8 $(DESTDIR)$(MANDIR)/man8/setfiles.8
	install -m 644 restorecon.8 $(DESTDIR)$(MANDIR)/man8/restorecon.8
	install -m 644 restorecon_xattr.8 $(DESTDIR)$(MANDIR)/man8/restorecon_xattr.8
	for lang in $(LINGUAS) ; do \
		if [ -e $${lang} ] ; then \
			[ -d $(DESTDIR)$(MANDIR)/$${lang}/man8 ] || mkdir -p $(DESTDIR)$(MANDIR)/$${lang}/man8 ; \
			install -m 644 $${lang}/*.8 $(DESTDIR)$(MANDIR)/$${lang}/man8/ ; \
		fi ; \
	done

clean:
	rm -f setfiles restorecon restorecon_xattr *.o

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel: install
	$(DESTDIR)$(SBINDIR)/restorecon $(DESTDIR)$(SBINDIR)/setfiles $(DESTDIR)$(SBINDIR)/restorecon_xattr

=== setsebool/Makefile ===
--- 
+++ 
@@ -1,11 +1,14 @@
 # Installation directories.
+LINGUAS ?=
 PREFIX ?= /usr
 SBINDIR ?= $(PREFIX)/sbin
 MANDIR = $(PREFIX)/share/man
 BASHCOMPLETIONDIR ?= $(PREFIX)/share/bash-completion/completions
 
 CFLAGS ?= -Werror -Wall -W
-override LDLIBS += -lsepol -lselinux -lsemanage
+override CFLAGS += -I../../libselinux/include -I../../libsemanage/include
+override LDFLAGS+= -L../../libselinux/src     -L../../libsemanage/src
+override LDLIBS += $(LIBSEMANAGE_LDLIBS) $(LIBSELINUX_LDLIBS)
 SETSEBOOL_OBJS = setsebool.o
 
 BASHCOMPLETIONS=setsebool-bash-completion.sh 
@@ -19,6 +22,12 @@
 	install -m 755 setsebool $(DESTDIR)$(SBINDIR)
 	-mkdir -p $(DESTDIR)$(MANDIR)/man8
 	install -m 644 setsebool.8 $(DESTDIR)$(MANDIR)/man8/
+	for lang in $(LINGUAS) ; do \
+		if [ -e $${lang} ] ; then \
+			mkdir -p $(DESTDIR)$(MANDIR)/$${lang}/man8 ; \
+			install -m 644 $${lang}/*.8 $(DESTDIR)$(MANDIR)/$${lang}/man8/ ; \
+		fi ; \
+	done
 	-mkdir -p $(DESTDIR)$(BASHCOMPLETIONDIR)
 	install -m 644 $(BASHCOMPLETIONS) $(DESTDIR)$(BASHCOMPLETIONDIR)/setsebool

=== unsetfiles/Makefile ===
--- 
+++ 
@@ -2,8 +2,9 @@
 SBINDIR ?= $(PREFIX)/sbin
 MANDIR ?= $(PREFIX)/share/man
 
-override CFLAGS += -D_GNU_SOURCE
-override LDLIBS += -lselinux
+override CFLAGS += -I../../libselinux/include -D_GNU_SOURCE
+override LDFLAGS+= -L../../libselinux/src
+override LDLIBS += $(LIBSELINUX_LDLIBS)
 
 
 all: unsetfiles

=== debian/changelog ===
policycoreutils (3.9-2) unstable; urgency=medium

  * build-depend on pkgconf.  Closes: #1118358

 -- Russell Coker <russell@coker.com.au>  Sun, 19 Oct 2025 14:41:19 +1100

policycoreutils (3.9-1) unstable; urgency=medium

  * 3.9 upstream release

 -- Russell Coker <russell@coker.com.au>  Sun, 19 Oct 2025 00:17:49 +1100

policycoreutils (3.8.1-2) unstable; urgency=medium

  * Fixed remove-leaf-dirs, the previous code was badly broken and only
    worked in trivial test cases.  Needed for a clean upgrade to Trixie.

 -- Russell Coker <russell@coker.com.au>  Fri, 08 Aug 2025 00:48:14 +1000

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,10 @@
                libaudit-dev,
                libcap-ng-dev,
                libpam0g-dev,
-               libselinux1-dev (>= 3.8.1),
-               libsemanage-dev (>= 3.8.1),
-               libsepol-dev (>= 3.8.1),
+               libselinux1-dev (>= 3.9),
+               libsemanage-dev (>= 3.9),
+               libsepol-dev (>= 3.9),
+	       pkgconf,
 Homepage: https://selinuxproject.org
 # The newrole executable is not installed SETUID in the package,
 # this is done in the postinst script if the capabilities cannot be set.

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,9 @@
 # Build newrole executable with the audit and namespace support
 export LSPP_PRIV=y
 
+# Install all binaries into /usr
+export SBINDIR=/usr/sbin
+
 %:
 	dh $@
